Verify custom domain
curl --request POST \
--url https://api.blaxel.ai/v0/customdomains/{domainName}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/customdomains/{domainName}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/customdomains/{domainName}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "Preview Domain",
"labels": {},
"name": "preview.example.com",
"workspace": "<string>"
},
"spec": {
"cnameRecords": "<string>",
"fallbackPreviewId": "my-fallback-preview",
"lastVerifiedAt": "<string>",
"region": "us-pdx-1",
"status": "verified",
"subjectAlternativeNames": [
{}
],
"txtRecords": {},
"verificationError": "<string>"
}
}customdomains
Verify custom domain
POST
/
customdomains
/
{domainName}
/
verify
Verify custom domain
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Name of the custom domain
Response
200 - application/json
successful operation
Custom domain for preview deployments The custom domain represents a base domain (e.g., example.com) that will be used to serve preview deployments. Each preview will be accessible at a subdomain: .preview. (e.g., abc123.preview.example.com)
Last modified on July 1, 2026
Was this page helpful?
⌘I
